# OpalStatusRegistration Struct Reference

`#include <opal.h>`

Collaboration diagram for OpalStatusRegistration:

[legend]

## Data Fields

const char * | m_protocol
const char * | m_serverName
const char * | m_error
OpalRegistrationStates | m_status
OpalProductDescription | m_product

## Detailed Description

Registration status for the OpalIndRegistration indication. This is only returned from the OpalGetMessage() function.

## Field Documentation

const char* OpalStatusRegistration::m_error

Error message for registration. If any error in the initial registration or any subsequent registration update occurs, then this contains a string indicating the type of error. If no error occured then this will be NULL.

OpalProductDescription OpalStatusRegistration::m_product

Product description data

const char* OpalStatusRegistration::m_protocol

Protocol prefix for registration. Currently must be "h323" or "sip", is never NULL.

const char* OpalStatusRegistration::m_serverName

Nmae of the registration server. The exact format is protocol specific but generally contains the host or domain name, e.g. "GkId@gatekeeper.voxgratia.org" or "sip.voxgratia.org".

OpalRegistrationStates OpalStatusRegistration::m_status

Status of registration, see enum for details.

The documentation for this struct was generated from the following file:

- opal.h